<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Модуль shop.
 *
 * Файл: /admin/shop/shop.php
 *
 * @author Hostmake LLC
 * @version 5.x
 */
// Подключаем основные классы.
require_once ('../../main_classes.php');

$admin = new Admin();

// Проверка авторизации пользователя.
$admin->admin_session_valid('shop');

$kernel = & singleton('kernel');

// Инсталляция всех модулей ядра.
$kernel->LoadModules(!isset ($_REQUEST['JsHttpRequest']));

// При экспорте в CML отключаем компрессию
// В СПИСКЕ КОНСТАНТ DISABLE_COMPRESSION НЕ ДОЛЖНО БЫТЬ!!!
if ((isset($_REQUEST['export_items'])
	|| isset($_REQUEST['action']) && ($_REQUEST['action'] == '4' || $_REQUEST['action'] == 'download_eitem'))
	&& !defined('DISABLE_COMPRESSION'))
{
	define('DISABLE_COMPRESSION', TRUE);
}

// Инициализация CURRENT_SITE и констант.
$admin->admin_init();

// Распечатка отчета
if (isset($_REQUEST['print_order']))
{
	include(CMS_FOLDER . '/admin/shop/action/print_order_blank.php');
}

// Распечатка отчета
if (isset($_REQUEST['create_form_sales_report']))
{
	include(CMS_FOLDER . '/admin/shop/action/fill_sales_report_blank.php');
}

// Распечатка карточка для заказа
if (isset($_REQUEST['show_order_card']))
{
	include(CMS_FOLDER . '/admin/shop/action/fill_order_card_blank.php');
}

if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'do_export')
{
	if (defined('READ_ONLY') && READ_ONLY)
	{
		ob_start();
		$kernel->ReadMode();
		$form_html = ob_get_clean();

		$JsHttpRequest = new JsHttpRequest('UTF-8');

		$GLOBALS['_RESULT'] = array (
			'error' => '',
			'form_html' => $form_html
		);

		echo $JsHttpRequest->LOADER;
		exit ();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/export_items_catalog_export_data.php');
		exit();
	}
}

$shop = & singleton('shop');

$warehouse = & singleton('warehouse');

$affiliate = & singleton('affiliate');

$admin_forms = & singleton('admin_forms');

$DateClass = & singleton('DateClass');

$DataBase = & singleton('DataBase');

function GetDelimitedGroups($parent_group_id, & $aGroupsTree, $separator = '', $exclude = FALSE)
{
	$mas = array();

	if (isset ($aGroupsTree[$parent_group_id]))
	{
		foreach ($aGroupsTree[$parent_group_id] as $row)
		{
			// Исключение запрещенной группы и ее потомков
			if ($exclude === FALSE
				|| is_numeric($exclude) && $row['shop_groups_id'] != $exclude
				|| is_array($exclude) && !in_array($row['shop_groups_id'], $exclude))
			{
				$mas[$row['shop_groups_id']] = $separator . $row['shop_groups_name'];

				// Потомки
				$mas += GetDelimitedGroups($row['shop_groups_id'], $aGroupsTree, $separator . "&nbsp;&nbsp;", $exclude);
			}
		}
	}

	return $mas;
}

function GetShopGroupsCreateOption(& $arr, & $group_mas, $group_parent_id, $level = 1)
{
	//if ($level > 2)
	if (count($arr) > 1000)
	{
		return $arr;
	}
	
	if (isset($group_mas[$group_parent_id])
	&& ($level == 1 || count($group_mas[$group_parent_id], 1) < 300))
	{
		foreach ($group_mas[$group_parent_id] as $sub_group_id => $sub_group_name)
		{
			$arr[$sub_group_id] = str_repeat('&nbsp;&nbsp;', $level) . $sub_group_name;
			$arr = GetShopGroupsCreateOption($arr, $group_mas, $sub_group_id, $level + 1);
		}
	}
	
	if (isset($group_mas[$group_parent_id]))
	{
		unset($group_mas[$group_parent_id]);
	}
	
	return $arr;
}

function GetShopGroups($shop_shops_id)
{
	$shop = & singleton('shop');

	$aCache = array ();

	$shop_row = $shop->GetShop($shop_shops_id);

	if ($shop_row)
	{
		switch ($shop_row['shop_group_sort_order_type'])
		{
			case 0 :
				$group_order = 'Asc';
				break;

			default :
				$group_order = 'Desc';
				break;
		}

		switch ($shop_row['shop_group_sort_order_field'])
		{
			case 0 :
				$group_field_order = 'shop_groups_name';
				break;

			case 1 :
				$group_field_order = "shop_groups_order {$group_order}, shop_groups_name";
				break;

			default :
				$group_field_order = "shop_groups_order {$group_order}, shop_groups_name";
				break;
		}

		/* Заполняем массив для групп*/
		$query = "SELECT `shop_groups_id`, `shop_groups_parent_id`, `shop_groups_name`
		FROM `shop_groups_table`
		        WHERE `shop_shops_id` = '{$shop_shops_id}'
		        ORDER BY {$group_field_order} {$group_order}";

		$DataBase = & singleton('DataBase');
		$resource = $DataBase->select($query);

		while ($row = mysql_fetch_assoc($resource))
		{
			$aCache[$row['shop_groups_parent_id']][$row['shop_groups_id']] = $row['shop_groups_name'];
		}
	}

	return $aCache;
}

function CorrectToEncoding($sLine, $encodeTo, $encodeFrom = 'UTF-8')
{
	if (is_array($sLine))
	{
		if (count($sLine) > 0)
		{
			foreach ($sLine as $key => $value)
			{
				$sLine[$key] = CorrectToEncoding($value, $encodeTo, $encodeFrom);
			}
		}
	}
	else
	{
		// Если кодировки не совпадают
		if (strtoupper($encodeTo) != strtoupper($encodeFrom))
		{
			// Перекодируем в указанную кодировку
			$sLine = @iconv($encodeFrom, $encodeTo . "//IGNORE//TRANSLIT", $sLine);
		}
	}
	return $sLine;
}

if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'get_location' && isset ($_REQUEST['shop_country_id']))
{
	$shop_country_id = to_int($_REQUEST['shop_country_id']);

	$result = array ();

	if ($shop_country_id)
	{
		// Расположения заполняем только тогда, когда страна указана
		$res = $shop->GetAllLocation($shop_country_id);

		if ($res)
		{
			while ($row = mysql_fetch_assoc($res))
			{
				$result[$row['shop_location_id']] = $row['shop_location_name'];
			}
		}
	}

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => $result
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'get_city' && isset ($_REQUEST['shop_location_id']))
{
	$shop_location_id = to_int($_REQUEST['shop_location_id']);

	$result = array ();

	if ($shop_location_id)
	{
		// Города заполняем только тогда, когда расположение указано
		$res = $shop->GetAllCity($shop_location_id);

		if ($res)
		{
			while ($row = mysql_fetch_assoc($res))
			{
				$result[$row['shop_city_id']] = $row['shop_city_name'];
			}
		}
	}

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => $result
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'get_cityarea' && isset ($_REQUEST['shop_city_id']))
{
	$shop_city_id = to_int($_REQUEST['shop_city_id']);

	$result = array ();

	// Города заполняем только тогда, когда расположение указано
	if ($shop_city_id)
	{
		$res = $shop->GetAllCityArea($shop_city_id);

		if ($res)
		{
			while ($row = mysql_fetch_assoc($res))
			{
				$result[$row['shop_city_area_id']] = $row['shop_city_area_name'];
			}
		}
	}

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => $result
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Загрузка файла электронного товара
if (isset ($_GET['action']) && $_GET['action'] == 'download_eitem')
{
	$shop_eitem_id = intval($_GET['shop_eitem_id']);
	$eitem_row = $shop->GetEItem($shop_eitem_id);

	if ($eitem_row && !empty ($eitem_row['shop_eitem_filename']))
	{
		// Проверяем, принадлежит ли товар текущему магазину и доступен пользователю
		$item_row = $shop->GetItem($eitem_row['shop_items_catalog_item_id']);

		if ($item_row)
		{
			$shop_row = $shop->GetShop($item_row['shop_shops_id']);
			if ($shop_row && $shop_row['site_id'] == CURRENT_SITE)
			{
				$exp = $kernel->GetExtension($eitem_row['shop_eitem_filename']);

				$file_path = CMS_FOLDER . UPLOADDIR . "shop_{$item_row['shop_shops_id']}/eitems/item_catalog_{$eitem_row['shop_items_catalog_item_id']}/{$shop_eitem_id}.{$exp}";

				if (is_file($file_path))
				{
					$File = new File();
					$File->Download($file_path, $eitem_row['shop_eitem_filename']);
					exit ();
				}
			}
		}
	}
}

// Применение новых цен
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'do_accept_new_price')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/accept_new_price.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// Отображаем форму
	include (CMS_FOLDER . 'admin/shop/action/load_data.php');
	$GLOBALS['_RESULT'] = $admin_forms->ShowForm(65, 'load_data');
	// Добавляем определенное выше сообщение
	$GLOBALS['_RESULT']['error'] = $message;

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление большого изображения для дополнительного группы товаров
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'group_big_image')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_big_image_group.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$id = to_int($_REQUEST['property_id']);

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_big_add_value_'+" . $id . ");
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление малого изображения для дополнительного группы товаров
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'group_small_image')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_small_image_group.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$id = to_int($_REQUEST['property_id']);

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_small_add_value_'+" . $id . ");
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление большого изображения для дополнительного группы товаров
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'delete_special_prices')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_special_prices.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$id = to_int($_REQUEST['shop_special_prices_id']);

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('special_prices_".$id."');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о дополнительных свойствах групп товаров
if (isset ($_REQUEST['add_property_for_group']) || isset ($_REQUEST['save_property_for_group']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_group_property.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_property_for_group']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_group_property.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(135, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о дополнительных свойствах групп товаров
if (isset ($_REQUEST['add_dir_property']) || isset ($_REQUEST['save_dir_property']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_item_dir_property.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_dir_property']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_list_of_properties.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(67, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление ярлыка для товара
if (isset($_REQUEST['add_shop_item_shortcut']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		include(CMS_FOLDER . 'admin/shop/action/add_item_shortcut.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// Отображаем форму
	include(CMS_FOLDER . 'admin/shop/action/load_data.php');

	$GLOBALS['_RESULT'] = $admin_forms->ShowForm(65, 'load_data');

	// Добавляем определенное выше сообщение
	$GLOBALS['_RESULT']['error'] = $message;

	echo $JsHttpRequest->LOADER;
	exit();
}

// Групповое перемещение товаров и групп товаров
if (isset($_REQUEST['move_items_groups']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		include(CMS_FOLDER . 'admin/shop/action/move_items_groups.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// Отображаем форму
	include(CMS_FOLDER . 'admin/shop/action/load_data.php');

	$GLOBALS['_RESULT'] = $admin_forms->ShowForm(65, 'load_data');

	// Добавляем определенное выше сообщение
	$GLOBALS['_RESULT']['error'] = $message;

	echo $JsHttpRequest->LOADER;
	exit();
}

// Добавление/обновление информации о группе дополнительных свойств групп товаров
if (isset ($_REQUEST['add_groups_dir']) || isset ($_REQUEST['save_groups_dir']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_group_dir.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_groups_dir']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_group_property.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(135, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

if (!isset ($_REQUEST['JsHttpRequest']))
{
	do_html_header_admin($GLOBALS['MSG_shops']['header_admin__list_forms']);
}

// Добавление/обновление раздела интернет-магазинов
if (isset ($_REQUEST['add_shop_dir']) || isset ($_REQUEST['save_shop_dir']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_shop_dir.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_shop_dir']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_shops.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(54, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление склада
if (isset ($_REQUEST['add_warehouse']) || isset ($_REQUEST['save_warehouse']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_warehouse.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_warehouse']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_warehouses.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(181, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Загрузка формы изменения цен
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'change_prices')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/form_change_price.php');
	}

	$form_html = ob_get_clean();

	if (isset ($_REQUEST['JsHttpRequest']))
	{
		$JsHttpRequest = new JsHttpRequest('UTF-8');

		$GLOBALS['_RESULT'] = array (
			'error' => '',
			'form_html' => $form_html
		);

		echo $JsHttpRequest->LOADER;
		exit ();
	}
	else
	{
		?><div id="id_content"><?php echo $form_html?></div><?php
		do_html_footer_admin();
		exit();
	}
}

if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'export')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/export_items_catalog_form.php');
	}

	$form_html = ob_get_clean();

	if (isset ($_REQUEST['JsHttpRequest']))
	{
		$JsHttpRequest = new JsHttpRequest('UTF-8');

		$GLOBALS['_RESULT'] = array (
			'error' => '',
			'form_html' => $form_html
		);

		echo $JsHttpRequest->LOADER;
		exit ();
	}
	else
	{
		?><div id="id_content"><?php echo $form_html?></div><?php
		do_html_footer_admin();
		exit();
	}
}

// Удаление изображения для электронногго товара
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'delete_eitem_image')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_image_eitem.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_big_shop_eitem_filename');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление транзакции
if (isset ($_REQUEST['add_transaction']) || isset ($_REQUEST['save_transaction']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_transaction.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_transaction']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_transactions.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(134, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление электронного товара
if (isset ($_REQUEST['add_eitem']) || isset ($_REQUEST['save_eitem']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_eitems.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_eitem']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_eitems.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(132, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление изображения типа доставки
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'shop_type_of_delivery_image_delete')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_image_type_of_delivery.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_big_type_of_delivery_image');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление изображения производителя
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'shop_producer_image_delete')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_image_producer.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_big_producer_image');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление изображения производителя
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'shop_producer_small_image_delete')
{
	ob_start();



	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_small_image_producer.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_small_producer_image');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление малого изображения для дополнительного свойства товара
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'shop_item_small_image_property')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_small_image_item_property.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$id = to_int($_REQUEST['node_id']);

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_small_add_value_'+" . $id . ");
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление большого изображения для дополнительного свойства товара
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'shop_item_big_image_property')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_big_image_item_property.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$id = to_int($_REQUEST['node_id']);

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_big_add_value_'+" . $id . ");
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление малого изображения для товара
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'shop_item_small_image')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_small_image_item.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_small_items_catalog_image');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление большого изображения для товара
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'shop_item_big_image')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_big_image_item.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_big_items_catalog_image');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление малого изображение для каталога товаров
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'shop_group_small_image')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_small_image.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_small_groups_image');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление большого изображения для каталогов товаров
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'shop_group_big_image')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_big_image.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_big_groups_image');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление ватермарка
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'delete_information_item_big_image')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_shop_big_image.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_big_shop_watermark_file');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Импорт условий доставки
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'import_delivery')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/import_delivery_form.php');
	}

	$form_html = ob_get_clean();

	if (!isset ($_REQUEST['JsHttpRequest']))
	{
		?><div id="id_content"><?php echo $form_html?></div><?php

		do_html_footer_admin();
		exit ();
	}
	else
	{
		$JsHttpRequest = new JsHttpRequest('UTF-8');

		$GLOBALS['_RESULT'] = array (
			'error' => '',
			'form_html' => $form_html
		);

		echo $JsHttpRequest->LOADER;
		exit ();
	}
}

// Импорт купонов
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'import_coupons')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/import_coupons_form.php');
	}

	$form_html = ob_get_clean();

	if (!isset ($_REQUEST['JsHttpRequest']))
	{
		?><div id="id_content"><?php echo $form_html?></div><?php

		do_html_footer_admin();
		exit ();
	}
	else
	{
		$JsHttpRequest = new JsHttpRequest('UTF-8');

		$GLOBALS['_RESULT'] = array (
			'error' => '',
			'form_html' => $form_html
		);

		echo $JsHttpRequest->LOADER;
		exit ();
	}
}

// Импорт прайс-листов, шаг 1
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'import_price_list')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/import_price_list_load_form.php');
	}

	$form_html = ob_get_clean();

	if (!isset ($_REQUEST['JsHttpRequest']))
	{
		?><div id="id_content"><?php echo $form_html?></div><?php

		do_html_footer_admin();
		exit ();
	}
	else
	{
		$JsHttpRequest = new JsHttpRequest('UTF-8');

		$GLOBALS['_RESULT'] = array (
			'error' => '',
			'form_html' => $form_html
		);

		echo $JsHttpRequest->LOADER;
		exit ();
	}
}

// Импорт условий доставки
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'import_deliveries')
{
	$JsHttpRequest = new JsHttpRequest('UTF-8');

	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/import_delivery.php');
	}

	$form_html = ob_get_clean();

	$GLOBALS['_RESULT'] = array (
		'error' => '',
		'form_html' => $form_html
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Импорт купонов
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'do_import_coupons')
{
	$JsHttpRequest = new JsHttpRequest('UTF-8');

	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/import_coupons.php');
	}

	$form_html = ob_get_clean();

	$GLOBALS['_RESULT'] = array (
		'error' => '',
		'form_html' => $form_html
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Импорт прайс-листов, шаг 2
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'import_price_list_step_two')
{
	$JsHttpRequest = new JsHttpRequest('UTF-8');

	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/import_price_list_load_form_step_two.php');
	}

	$form_html = ob_get_clean();

	$GLOBALS['_RESULT'] = array (
		'error' => '',
		'form_html' => $form_html
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Импорт прайс-листов, шаг 3
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'import_data')
{
	$JsHttpRequest = new JsHttpRequest('UTF-8');

	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/import_price_list_load_data_csv.php');
	}

	$form_html = ob_get_clean();


	$GLOBALS['_RESULT'] = array (
		'error' => '',
		'form_html' => $form_html
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление магазина
if (isset ($_REQUEST['add_shop']) || isset ($_REQUEST['save_shop']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_shop.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_shop']) && !isset ($can_show_main_form) && !isset ($can_show_form))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_shops.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(54, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о платежной системе
if (isset ($_REQUEST['add_system_of_pay']) || isset ($_REQUEST['save_system_of_pay']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_system_of_pay.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_system_of_pay']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_system_of_pay.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(57, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о стране
if (isset ($_REQUEST['add_country']) || isset ($_REQUEST['save_country']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_country.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_country']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_country.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(58, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о местоположении
if (isset ($_REQUEST['add_location']) || isset ($_REQUEST['save_location']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_location.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_location']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_location.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(59, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о городе
if (isset ($_REQUEST['add_city']) || isset ($_REQUEST['save_city']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_city.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_city']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_city.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(60, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о районе города
if (isset ($_REQUEST['add_edit_city_area']) || isset ($_REQUEST['save_city_area']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_edit_city_area.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_edit_city_area']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_city_areas.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(61, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о единицах измерения
if (isset ($_REQUEST['add_mesures']) || isset ($_REQUEST['save_mesures']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_mesures.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_mesures']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_mesures.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(62, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о статусах заказов
if (isset ($_REQUEST['add_order_status']) || isset ($_REQUEST['save_order_status']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_order_status.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');
	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_order_status']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_order_status.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(63, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о компании
if (isset ($_REQUEST['add_company']) || isset ($_REQUEST['save_company']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_company.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_company']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_company.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(64, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о налогах
if (isset ($_REQUEST['add_tax']) || isset ($_REQUEST['save_tax']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_tax.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_tax']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_tax.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(55, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о валютах
if (isset ($_REQUEST['add_currency']) || isset ($_REQUEST['save_currency']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_currency.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_currency']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_currency.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(56, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о каталога товаров
if (isset ($_REQUEST['add_groups']) || isset ($_REQUEST['save_groups']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_groups.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_groups']) && !isset($error_group))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_data.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(65, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о каталога товаров
if (isset ($_REQUEST['add_items_catalog']) || isset ($_REQUEST['save_items_catalog']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_items_catalog.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_items_catalog']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_data.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(65, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о модификации товара
if (isset ($_REQUEST['add_items_catalog_mod']) || isset ($_REQUEST['save_items_catalog_mod']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_items_catalog.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_items_catalog_mod']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_item_catalog_modifications.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(81, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о комментарии
if (isset ($_REQUEST['add_comment']) || isset ($_REQUEST['save_comment']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_comment.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_comment']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_comment.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(66, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о дополнительном свойстве
if (isset ($_REQUEST['add_list_of_properties']) || isset ($_REQUEST['save_list_of_properties']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_list_of_properties.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_list_of_properties']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_list_of_properties.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(67, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о цене
if (isset ($_REQUEST['add_prices']) || isset ($_REQUEST['save_prices']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_prices.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_prices']) && !isset ($can_show_main_form))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_prices.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(68, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о производителе
if (isset ($_REQUEST['add_producer']) || isset ($_REQUEST['save_producer']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_producer.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_producer']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_producers.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(69, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о продавце
if (isset ($_REQUEST['add_sellers']) || isset ($_REQUEST['save_sellers']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_sellers.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_sellers']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_sellers.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(70, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление большого изображения для производителя
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'delete_shop_seller_big_image')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_big_image_seller.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_big_shop_sallers_image');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Удаление малого изображения для производителя
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'delete_shop_seller_small_image')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/delete_small_image_seller.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'result' => "
			<script>
				// Удаляем дочерние узлы
				deleteChildNodes('upload_small_shop_sallers_image');
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о скидке
if (isset ($_REQUEST['add_discount']) || isset ($_REQUEST['save_discount']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_discount.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_discount']) && !isset ($error_was_occured_d))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_discount.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(72, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление информации о скидке на конкретный товар
if (isset ($_REQUEST['add_discount_for_item']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_discount_for_item.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_discount_for_item']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_discount.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(72, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о скидке от суммы заказа
if (isset ($_REQUEST['add_order_discount']) || isset ($_REQUEST['save_order_discount']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_order_discount.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_order_discount']) && !isset ($error_has_occured))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_order_discount.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(73, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о купоне
if (isset ($_REQUEST['add_coupon']) || isset ($_REQUEST['save_coupon']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_coupon.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_coupon']) && !isset ($error_was_occured_wr))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_coupons.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(74, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации об оформленном заказе
if (isset ($_REQUEST['add_order']) || isset ($_REQUEST['save_order']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_order.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_order']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_order.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(75, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о товарах, входящих в оформленный заказ
if (isset ($_REQUEST['add_order_items']) || isset ($_REQUEST['save_order_items']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_order_items.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_order_items']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_order_items.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(76, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о типе доставки
if (isset ($_REQUEST['add_type_of_delivery']) || isset ($_REQUEST['save_type_of_delivery']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_type_of_delivery.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_type_of_delivery']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_type_of_delivery.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(77, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации об услови доставки
if (isset ($_REQUEST['add_cond_of_delivery']) || isset ($_REQUEST['save_cond_of_delivery']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_cond_of_delivery.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_cond_of_delivery']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_cond_of_delivery.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(78, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации о сопутствующем товаре
if (isset ($_REQUEST['add_tying_products']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/add_tying_products.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array (
		'error' => $message,
		'form_html' => "
			<script>
			DoLoadAjax('{$admin_forms->AAction}', '{$admin_forms->AAdditionalParams}', 79, 'load_data', 0, 0, 0, 0);
			</script>"
	);

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Отчеты

// Загрузка формы формирования отчета о продажах
if (isset ($_REQUEST['action']) && $_REQUEST['action'] == 'show_sales_order')
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . 'admin/shop/action/form_sales_report.php');
	}

	$form_html = ob_get_clean();

	if (isset ($_REQUEST['JsHttpRequest']))
	{
		$JsHttpRequest = new JsHttpRequest('UTF-8');

		$GLOBALS['_RESULT'] = array (
			'error' => '',
			'form_html' => $form_html
		);

		echo $JsHttpRequest->LOADER;
		exit ();
	}
	else
	{
		?><div id="id_content"><?php echo $form_html?></div><?php
		do_html_footer_admin();
		exit();
	}
}

// Аффилиаты
// Добавление/обновление информации о плане аффилиата
if (isset ($_REQUEST['add_affiliate_plan']) || isset ($_REQUEST['save_affiliate_plan']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_affiliate.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_affiliate_plan']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_affiliate_plane.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(162, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Добавление/обновление информации об уровне партнера
if (isset ($_REQUEST['add_affiliate_value']) || isset ($_REQUEST['save_affiliate_value']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/add_affiliate_values.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset ($_REQUEST['add_affiliate_value']))
	{
		// Отображаем форму
		include (CMS_FOLDER . 'admin/shop/action/load_affiliate_values.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(164, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array (
			'error' => $message,
			'form_html' => '',
			'title' => ''
		);
	}

	echo $JsHttpRequest->LOADER;
	exit ();
}

// Создание модификаций из товара
if (isset ($_REQUEST['create_modifications']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include (CMS_FOLDER . '/admin/shop/action/create_modifications.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// Отображаем форму
	include (CMS_FOLDER . 'admin/shop/action/load_item_catalog_modifications.php');
	$GLOBALS['_RESULT'] = $admin_forms->ShowForm(81, 'load_data');
	// Добавляем определенное выше сообщение
	$GLOBALS['_RESULT']['error'] = $message;

	echo $JsHttpRequest->LOADER;
	exit ();
}

switch (to_int($_REQUEST['admin_forms_id']))
{
	case 54 :
	default :
		{
			// Загрузка списка интернет-магазинов
			include (CMS_FOLDER . 'admin/shop/action/load_shops.php');
			$admin_forms->ProcessAjax(54);
			break;
		}
	case 55 :
		{
			// Загрузка налогов
			include (CMS_FOLDER . 'admin/shop/action/load_tax.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 56 :
		{
			// Загрузка валют
			include (CMS_FOLDER . 'admin/shop/action/load_currency.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 57 :
		{
			// Загрузка платежных систем
			include (CMS_FOLDER . 'admin/shop/action/load_system_of_pay.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 58 :
		{
			// Загрузка стран
			include (CMS_FOLDER . 'admin/shop/action/load_country.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 59 :
		{
			// Загрузка местопложений
			include (CMS_FOLDER . 'admin/shop/action/load_location.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 60 :
		{
			// Загрузка городов
			include (CMS_FOLDER . 'admin/shop/action/load_city.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 61 :
		{
			// Загрузка районов городов
			include (CMS_FOLDER . 'admin/shop/action/load_city_areas.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 62 :
		{
			// Загрузка едениц измерения
			include (CMS_FOLDER . 'admin/shop/action/load_mesures.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 63 :
		{
			// Загрузка статусов заказа
			include (CMS_FOLDER . 'admin/shop/action/load_order_status.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 64 :
		{
			// Загрузка сведений об организациях
			include (CMS_FOLDER . 'admin/shop/action/load_company.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 65 :
		{
			// Загрузка содержимого интернет - магазина
			include (CMS_FOLDER . 'admin/shop/action/load_data.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 66 :
		{
			// Загрузка отзывов о товарах
			include (CMS_FOLDER . 'admin/shop/action/load_comment.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 67 :
		{
			// Загрузка дополнительных свойств товара
			include (CMS_FOLDER . 'admin/shop/action/load_list_of_properties.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 68 :
		{
			// Загрузка цен
			include (CMS_FOLDER . 'admin/shop/action/load_prices.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 69 :
		{
			// Загрузка производителей
			include (CMS_FOLDER . 'admin/shop/action/load_producers.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 70 :
		{
			// Загрузка продавцов
			include (CMS_FOLDER . 'admin/shop/action/load_sellers.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 71 :
		{
			// Загрузка списка свойств для текщей группы товаров
			include (CMS_FOLDER . 'admin/shop/action/load_shop_properties_item_for_group.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 72 :
		{
			// Загрузка списка скидок
			include (CMS_FOLDER . 'admin/shop/action/load_discount.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 73 :
		{
			// Загрузка списка скидок от суммы товара
			include (CMS_FOLDER . 'admin/shop/action/load_order_discount.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 74 :
		{
			// Загрузка списка купонов
			include (CMS_FOLDER . 'admin/shop/action/load_coupons.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 75 :
		{
			// Загрузка списка оформленых заказов
			include (CMS_FOLDER . 'admin/shop/action/load_order.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 76 :
		{
			// Загрузка списка товаров оформленного заказа
			include (CMS_FOLDER . 'admin/shop/action/load_order_items.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 77 :
		{
			// Загрузка списка типов доставки
			include (CMS_FOLDER . 'admin/shop/action/load_type_of_delivery.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 78 :
		{
			// Загрузка условий доставки
			include (CMS_FOLDER . 'admin/shop/action/load_cond_of_delivery.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 79 :
		{
			// Загрузка сопутствующих товаров
			include (CMS_FOLDER . 'admin/shop/action/load_tying_products.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 81 :
		{
			// Загрузка списка модификаций товара
			include (CMS_FOLDER . 'admin/shop/action/load_item_catalog_modifications.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 132 :
		{
			// Загрузка электронных товаров
			include (CMS_FOLDER . 'admin/shop/action/load_eitems.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 133 :
		{
			// Загрузка лицевых счетов пользователя
			include (CMS_FOLDER . 'admin/shop/action/load_accounts.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 134 :
		{
			// Загрузка лицевых счетов пользователя
			include (CMS_FOLDER . 'admin/shop/action/load_transactions.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 135 :
		{
			// Загрузка списка дополнительных свойств групп товаров
			include (CMS_FOLDER . 'admin/shop/action/load_group_property.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}

		// Аффилиаты
	case 162 :
		{

			// Загрузка списка дополнительных свойств групп товаров
			include (CMS_FOLDER . 'admin/shop/action/load_affiliate_plane.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));

			break;
		}
	case 164 :
		{
			// Загрузка списка дополнительных свойств групп товаров
			include (CMS_FOLDER . 'admin/shop/action/load_affiliate_values.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 166 :
		{
			// Загрузка списка дополнительных свойств групп товаров
			include (CMS_FOLDER . 'admin/shop/action/load_affiliate_status.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 181 :
		{
			// Загрузка списка дополнительных свойств групп товаров
			include (CMS_FOLDER . 'admin/shop/action/load_warehouses.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
}

if (!isset ($_REQUEST['JsHttpRequest']))
{
	do_html_footer_admin();
}
?>